# Stage 1
FROM digilabpublic.azurecr.io/node:20-alpine3.19 AS node_builder

ARG VITE_BACKEND_ADDRESS

RUN corepack enable && corepack prepare pnpm@latest --activate

# Copy the code into the container. Note: copy to a dir instead of `.`, since Parcel cannot run in the root dir, see https://github.com/parcel-bundler/parcel/issues/6578
WORKDIR /build
COPY package.json pnpm-lock.yaml ./

RUN pnpm install

COPY . ./

# Build the static files
RUN pnpm run build


# Stage 3: serve the files using nginx
FROM nginx:1.27.0-alpine3.19

COPY --from=node_builder /build/build /usr/share/nginx/html

# COPY ./nginx.conf /etc/nginx/conf.d/default.conf

EXPOSE 80
